/*
#=======================================================================================================
#
#                   Copyright (c) 2007 Origin Enterprise Solution LTD.
#
#=======================================================================================================
# File description:  TableColumnRender.java
#=======================================================================================================
#	 Date	       time   	   Name	 Action	   Description of Change
#	2011-1-17      下午03:50:26    tyl  	Ini	            初始化文件
#=======================================================================================================
*/
package cn.com.customization.util;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.JTableHeader;

public class TableColumnRender extends DefaultTableCellRenderer {

	/**
	 * serialVersionUID:TODO（描述变量的功能）
	 * @since Ver 1.1
	 */
	private static final long	serialVersionUID	= 1L;

	/**
	 * 
	 */
	public TableColumnRender() {
		super();
	}

	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
		//得到表头	
		JTableHeader header = table.getTableHeader();
			if (header != null) {
				setForeground(header.getForeground());
				setBackground(header.getBackground());
				setFont(header.getFont());
			}
			setHorizontalAlignment(JLabel.CENTER);
			this.setText((value == null) ? "" : value.toString());
			setBorder(UIManager.getBorder("TableHeader.cellBorder"));
		return this;
	}
}